be.fgov.ehealth.dics.protocol.v3

## Class FindReferencesResponse

- java.lang.Object
- - be.fgov.ehealth.commons.protocol.v2.ResponseType
  - - be.fgov.ehealth.commons.protocol.v2.StatusResponseType
    - - be.fgov.ehealth.dics.protocol.v3.FindReferencesResponse

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:11:18+01:00",
                 comments="JAXB RI v2.2.11")
      public class FindReferencesResponse
      extends StatusResponseType
      implements Serializable

  Java class for FindReferencesResponseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="FindReferencesResponseType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}StatusResponseType">
             <sequence minOccurs="0">
               <group ref="{urn:be:fgov:ehealth:dics:protocol:v3}FamhpMainEntities"/>
               <group ref="{urn:be:fgov:ehealth:dics:protocol:v3}BcpiMainEntities"/>
               <group ref="{urn:be:fgov:ehealth:dics:protocol:v3}NihdiEntities"/>
               <group ref="{urn:be:fgov:ehealth:dics:protocol:v3}ReferenceAdditionalEntities"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FindReferencesResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Appendix>` | `getAppendixes()` Gets the value of the appendixes property.
    `List<AtcClassification>` | `getAtcClassifications()` Gets the value of the atcClassifications property.
    `List<DeliveryModus>` | `getDeliveryModuses()` Gets the value of the deliveryModuses property.
    `List<DeliveryModusSpecification>` | `getDeliveryModusSpecifications()` Gets the value of the deliveryModusSpecifications property.
    `List<DeviceType>` | `getDeviceTypes()` Gets the value of the deviceTypes property.
    `List<FormCategory>` | `getFormCategories()` Gets the value of the formCategories property.
    `List<NoGenericPrescriptionReason>` | `getNoGenericPrescriptionReasons()` Gets the value of the noGenericPrescriptionReasons property.
    `List<NoSwitchReason>` | `getNoSwitchReasons()` Gets the value of the noSwitchReasons property.
    `List<PackagingClosure>` | `getPackagingClosures()` Gets the value of the packagingClosures property.
    `List<PackagingMaterial>` | `getPackagingMaterials()` Gets the value of the packagingMaterials property.
    `List<PackagingType>` | `getPackagingTypes()` Gets the value of the packagingTypes property.
    `List<Parameter>` | `getParameters()` Gets the value of the parameters property.
    `List<PharmaceuticalForm>` | `getPharmaceuticalForms()` Gets the value of the pharmaceuticalForms property.
    `List<ReimbursementCriterion>` | `getReimbursementCriterions()` Gets the value of the reimbursementCriterions property.
    `List<RouteOfAdministration>` | `getRouteOfAdministrations()` Gets the value of the routeOfAdministrations property.
    `List<ConsultStandardFormAndPhFrmAndVtlFrmType>` | `getStandardForms()` Gets the value of the standardForms property.
    `List<ConsultStandardRouteAndRouteOfAdministrationType>` | `getStandardRoutes()` Gets the value of the standardRoutes property.
    `List<ConsultStandardSubstanceAndSubstanceType>` | `getStandardSubstances()` Gets the value of the standardSubstances property.
    `List<StandardUnitFamhpType>` | `getStandardUnits()` Gets the value of the standardUnits property.
    `List<Substance>` | `getSubstances()` Gets the value of the substances property.
    `List<VirtualForm>` | `getVirtualForms()` Gets the value of the virtualForms property.
    `List<Wada>` | `getWadas()` Gets the value of the wadas property.

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.StatusResponseType

      `getStatus, setStatus`

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType

      `getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FindReferencesResponse

          public FindReferencesResponse()

  - ### Method Detail

    - #### getAtcClassifications

          public List<AtcClassification> getAtcClassifications()

      Gets the value of the atcClassifications property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the atcClassifications property.

      For example, to add a new item, do as follows:

              getAtcClassifications().add(newItem);

      Objects of the following type(s) are allowed in the list `AtcClassification`

    - #### getDeliveryModuses

          public List<DeliveryModus> getDeliveryModuses()

      Gets the value of the deliveryModuses property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the deliveryModuses property.

      For example, to add a new item, do as follows:

              getDeliveryModuses().add(newItem);

      Objects of the following type(s) are allowed in the list `DeliveryModus`

    - #### getDeliveryModusSpecifications

          public List<DeliveryModusSpecification> getDeliveryModusSpecifications()

      Gets the value of the deliveryModusSpecifications property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the deliveryModusSpecifications property.

      For example, to add a new item, do as follows:

              getDeliveryModusSpecifications().add(newItem);

      Objects of the following type(s) are allowed in the list `DeliveryModusSpecification`

    - #### getDeviceTypes

          public List<DeviceType> getDeviceTypes()

      Gets the value of the deviceTypes property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the deviceTypes property.

      For example, to add a new item, do as follows:

              getDeviceTypes().add(newItem);

      Objects of the following type(s) are allowed in the list `DeviceType`

    - #### getPackagingClosures

          public List<PackagingClosure> getPackagingClosures()

      Gets the value of the packagingClosures property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the packagingClosures property.

      For example, to add a new item, do as follows:

              getPackagingClosures().add(newItem);

      Objects of the following type(s) are allowed in the list `PackagingClosure`

    - #### getPackagingMaterials

          public List<PackagingMaterial> getPackagingMaterials()

      Gets the value of the packagingMaterials property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the packagingMaterials property.

      For example, to add a new item, do as follows:

              getPackagingMaterials().add(newItem);

      Objects of the following type(s) are allowed in the list `PackagingMaterial`

    - #### getPackagingTypes

          public List<PackagingType> getPackagingTypes()

      Gets the value of the packagingTypes property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the packagingTypes property.

      For example, to add a new item, do as follows:

              getPackagingTypes().add(newItem);

      Objects of the following type(s) are allowed in the list `PackagingType`

    - #### getPharmaceuticalForms

          public List<PharmaceuticalForm> getPharmaceuticalForms()

      Gets the value of the pharmaceuticalForms property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the pharmaceuticalForms property.

      For example, to add a new item, do as follows:

              getPharmaceuticalForms().add(newItem);

      Objects of the following type(s) are allowed in the list `PharmaceuticalForm`

    - #### getRouteOfAdministrations

          public List<RouteOfAdministration> getRouteOfAdministrations()

      Gets the value of the routeOfAdministrations property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the routeOfAdministrations property.

      For example, to add a new item, do as follows:

              getRouteOfAdministrations().add(newItem);

      Objects of the following type(s) are allowed in the list `RouteOfAdministration`

    - #### getSubstances

          public List<Substance> getSubstances()

      Gets the value of the substances property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the substances property.

      For example, to add a new item, do as follows:

              getSubstances().add(newItem);

      Objects of the following type(s) are allowed in the list `Substance`

    - #### getNoSwitchReasons

          public List<NoSwitchReason> getNoSwitchReasons()

      Gets the value of the noSwitchReasons property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the noSwitchReasons property.

      For example, to add a new item, do as follows:

              getNoSwitchReasons().add(newItem);

      Objects of the following type(s) are allowed in the list `NoSwitchReason`

    - #### getVirtualForms

          public List<VirtualForm> getVirtualForms()

      Gets the value of the virtualForms property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the virtualForms property.

      For example, to add a new item, do as follows:

              getVirtualForms().add(newItem);

      Objects of the following type(s) are allowed in the list `VirtualForm`

    - #### getWadas

          public List<Wada> getWadas()

      Gets the value of the wadas property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wadas property.

      For example, to add a new item, do as follows:

              getWadas().add(newItem);

      Objects of the following type(s) are allowed in the list `Wada`

    - #### getNoGenericPrescriptionReasons

          public List<NoGenericPrescriptionReason> getNoGenericPrescriptionReasons()

      Gets the value of the noGenericPrescriptionReasons property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the noGenericPrescriptionReasons property.

      For example, to add a new item, do as follows:

              getNoGenericPrescriptionReasons().add(newItem);

      Objects of the following type(s) are allowed in the list `NoGenericPrescriptionReason`

    - #### getAppendixes

          public List<Appendix> getAppendixes()

      Gets the value of the appendixes property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the appendixes property.

      For example, to add a new item, do as follows:

              getAppendixes().add(newItem);

      Objects of the following type(s) are allowed in the list `Appendix`

    - #### getFormCategories

          public List<FormCategory> getFormCategories()

      Gets the value of the formCategories property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the formCategories property.

      For example, to add a new item, do as follows:

              getFormCategories().add(newItem);

      Objects of the following type(s) are allowed in the list `FormCategory`

    - #### getParameters

          public List<Parameter> getParameters()

      Gets the value of the parameters property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the parameters property.

      For example, to add a new item, do as follows:

              getParameters().add(newItem);

      Objects of the following type(s) are allowed in the list `Parameter`

    - #### getReimbursementCriterions

          public List<ReimbursementCriterion> getReimbursementCriterions()

      Gets the value of the reimbursementCriterions property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the reimbursementCriterions property.

      For example, to add a new item, do as follows:

              getReimbursementCriterions().add(newItem);

      Objects of the following type(s) are allowed in the list `ReimbursementCriterion`

    - #### getStandardForms

          public List<ConsultStandardFormAndPhFrmAndVtlFrmType> getStandardForms()

      Gets the value of the standardForms property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the standardForms property.

      For example, to add a new item, do as follows:

              getStandardForms().add(newItem);

      Objects of the following type(s) are allowed in the list `ConsultStandardFormAndPhFrmAndVtlFrmType`

    - #### getStandardRoutes

          public List<ConsultStandardRouteAndRouteOfAdministrationType> getStandardRoutes()

      Gets the value of the standardRoutes property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the standardRoutes property.

      For example, to add a new item, do as follows:

              getStandardRoutes().add(newItem);

      Objects of the following type(s) are allowed in the list `ConsultStandardRouteAndRouteOfAdministrationType`

    - #### getStandardSubstances

          public List<ConsultStandardSubstanceAndSubstanceType> getStandardSubstances()

      Gets the value of the standardSubstances property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the standardSubstances property.

      For example, to add a new item, do as follows:

              getStandardSubstances().add(newItem);

      Objects of the following type(s) are allowed in the list `ConsultStandardSubstanceAndSubstanceType`

    - #### getStandardUnits

          public List<StandardUnitFamhpType> getStandardUnits()

      Gets the value of the standardUnits property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the standardUnits property.

      For example, to add a new item, do as follows:

              getStandardUnits().add(newItem);

      Objects of the following type(s) are allowed in the list `StandardUnitFamhpType`

Connector Packaging PERSNURSE 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.